
D4Science Infrastructure - Incident #11878

Import profile from LinkedIn error

Jun 06, 2018 03:31 PM - Massimiliano Assante

Status: Closed Start date: Jun 06, 2018

Priority: Urgent Due date: Jun 06, 2018

Assignee: Massimiliano Assante % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: No   

Infrastructure: Production   

Description

When tried to import my profile i got:

Import Error: Something went wrong while parsing your professional summary from LinkedIn, please report the issue. Close

Related issues:

Related to D4Science Infrastructure - Upgrade #11882: Infra Gateways Patch fo... Completed Jun 06, 2018 Jun 07, 2018

History

#1 - Jun 06, 2018 03:31 PM - Massimiliano Assante

- File Screen Shot 2018-06-06 at 15.29.59.png added

#2 - Jun 06, 2018 03:42 PM - Massimiliano Assante

- % Done changed from 0 to 30

The issue is due to the fact that the method retrieving the user avatar image returns the following:

<?xml version="1.0" encoding="iso-8859-1"?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"

         "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>

        <title>403 - Forbidden</title>

    </head>

    <body>

        <h1>403 - Forbidden</h1>

    </body>

</html>

#3 - Jun 06, 2018 06:56 PM - Massimiliano Assante

- Status changed from In Progress to Resolved

- % Done changed from 30 to 100

After digging the issue I found out that the picture URL returned from LinkedIn People API is now encoded, (e.g. it had &amp ; instead of &). Making

an HTTP request with this new URL was giving the error reported above.

org.gcube.portlets-user.socialprofile.2-1-1 has bee created and it is running against gCube 4.11.1 as I write. 

#5 - Jun 06, 2018 07:49 PM - Massimiliano Assante

- Related to Upgrade #11882: Infra Gateways Patch for fixing Incident #11878 added

#6 - Jun 08, 2018 12:10 PM - Massimiliano Assante

- Status changed from Resolved to Closed

Files

Screen Shot 2018-06-06 at 15.29.59.png 157 KB Jun 06, 2018 Massimiliano Assante
